<?php

namespace FiloBlu\Storelocator\Model\Config\Source;

class Travelmodes implements \Magento\Framework\Option\ArrayInterface
{
    /**
     * Options getter
     *
     * @return array
     */
    public function toOptionArray()
    {

        return [
            [
                'value' => 'DRIVING',
                'label' => 'driving'
            ],
            [
                'value' => 'WALKING',
                'label' => 'walking'
            ],
            [
                'value' => 'BICYCLING',
                'label' => 'bicycling'
            ],
            [
                'value' => 'TRANSIT',
                'label' => 'transit'
            ],
        ];
    }

    /**
     * Get options in "key-value" format
     *
     * @return array
     */
    public function toArray()
    {
        return [
            'driving' => 'DRIVING',
            'walking' => 'WALKING',
            'bicycling' => 'BICYCLING',
            'transit' => 'TRANSIT',
        ];
    }
}
